Berkeley DB version 5.1.19

## com.sleepycat.db
Class MutexStats

    java.lang.Object
      com.sleepycat.db.MutexStats

    public class MutexStats

extends Object

Statistics about mutexes in a Berkeley DB database environment, returned by `Environment.getMutexStats(com.sleepycat.db.StatsConfig)`

Method Summary
`int` `getMutexAlign()` The mutex alignment, in bytes.
`int` `getMutexCount()` The total number of mutexes configured.
`int` `getMutexFree()` The number of mutexes currently available.
`int` `getMutexInuse()` The number of mutexes currently in use.
`int` `getMutexInuseMax()` The maximum number of mutexes ever in use.
`int` `getMutexTasSpins()` The number of times test-and-set mutexes will spin without blocking.
`long` `getRegionNowait()` The number of times that a thread of control was able to obtain the mutex region mutex without waiting.
`long` `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the mutex region mutex.
`int` `getRegSize()` The size of the mutex region, in bytes.
`String` `toString()` For convenience, the MutexStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMutexAlign

    public int getMutexAlign()

  The mutex alignment, in bytes.

### getMutexTasSpins

    public int getMutexTasSpins()

  The number of times test-and-set mutexes will spin without blocking.

### getMutexCount

    public int getMutexCount()

  The total number of mutexes configured.

### getMutexFree

    public int getMutexFree()

  The number of mutexes currently available.

### getMutexInuse

    public int getMutexInuse()

  The number of mutexes currently in use.

### getMutexInuseMax

    public int getMutexInuseMax()

  The maximum number of mutexes ever in use.

### getRegionWait

    public long getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the mutex region mutex.

### getRegionNowait

    public long getRegionNowait()

  The number of times that a thread of control was able to obtain the mutex region mutex without waiting.

### getRegSize

    public int getRegSize()

  The size of the mutex region, in bytes.

### toString

    public String toString()

  For convenience, the MutexStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.1.19

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.